WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: audacity-1.2.6  (Read 1003 times)

Offline grandma

  • Full Member
  • ***
  • Posts: 153
  • Never forget Grandma Loves You & made that candy4U
    • Back when a 10MB HD was $500 bucks
audacity-1.2.6
« on: October 17, 2011, 05:46:56 AM »
crashes - not sure why
running alsa and have loaded vlc and flash on tc 3.51-svolli ver
vlc works - flash videos work - audacity seems to tce-load but
on execution asks for language, says can't load a bunch of drivers
then goes ka-poof - disappears - no g-bye message

There was an error initializing audio i/o layer.
You will not be able to play or record.

Host Error

Then opens - as if ready to open a file - then click file-open-pick-a-wav and pooof - gone

????????
« Last Edit: October 17, 2011, 05:57:27 AM by Jason W »
~ Luv Grandma
"When children of all nations
play in the sandbox together
all morning-all day-all week, and
one fine sunny day; all year long ...
... then war will become an ancient memory
and Grandma can knit that sweater
you'll hold near to your heart
until long after you're my age.

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 7092
Re: audacity-1.2.6
« Reply #1 on: October 17, 2011, 06:01:39 AM »
This was one of the earlier extensions from TC 1.x, I have not used it in years.  I will look into it tonight to see what issue there may be.

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 7092
Re: audacity-1.2.6
« Reply #2 on: October 17, 2011, 04:13:43 PM »
1.2.6 is still the official release version of Audacity, and I have read that this bug has been fixed in a later beta 1.3 version.  So rebuilding will not help.  Arch is using 1.3.13, but that may be a version that builds only with gtk2.  And I would like to keep around the gtk1 build though it does have issues with wav files.  Maybe I will build a newer version one day, or someone else can if they want.

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 7092
Re: audacity-1.2.6
« Reply #3 on: October 17, 2011, 07:30:20 PM »
Version 1.3.13 seems to work beautifully, including with WAV input.  I will upload it shortly.

Offline Jason W

  • Administrator
  • Hero Member
  • *****
  • Posts: 7092
Re: audacity-1.2.6
« Reply #4 on: October 23, 2011, 01:04:04 PM »
I see one easy workaround is to use lame to convert any wav to mp3 before loading with audacity:

lame file.wav file.mp3

But I just have uploaded the new audacity-1.3.x, it is named as it is since all of it's files are installed into it's own path (/usr/local/audacity-1.3.x) that will not have any file conflicts with other audacity packages, it does not stand in the way of anyone who wishes to make a latest audacity.tcz.  It requires alsa.tcz to be loaded and in use, audacity is very much ingrained with alsa, and I would rather it be fuller featured than stripped down and less featured to not have to require alsa.  This version does handle some wav files, but others make it crash.  Still best to convert to mp3 first.